<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2003 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

function atPlatformInit($atdir, $thename)
{
    $GLOBALS['home_page'] = $GLOBALS['home'];
    $GLOBALS['home'] = 0;

    if (isset($_GET['theme'])) {
        $oldtheme = $thename;
        $thename = $_GET['theme'];
        $GLOBALS['oldtheme'] = $oldtheme;
    }
    $vars = compact("thename");
    
    return $vars;
}

function atGetHomeMod()
{
    $module = $GLOBALS[''];

    return $module;
}

function atIsHomePage()
{
    if ($GLOBALS['home_page'] == 1) {
        return true;
    }
    else {
        return false;
    }
}

function atIsAdminUser()
{
    if (is_admin($GLOBALS['admin'])) {
        return true;
    }
    else {
        return false;
    }
}

function atIsLoggedIn()
{
    if (is_user($GLOBALS['user'])) {
        return true;
    }
    else {
        return false;
    }
}

function atGetUserName()
{
    if (!atIsLoggedIn()) {
        $username = _GUEST;
    }
    else {
        $cookie = cookiedecode($GLOBALS['user']);
        $username = $cookie[1];
    }
    return $username;
}

function atGetModType()
{
    $type = "";
    
    if (eregi("admin.php", $_SERVER['PHP_SELF'])) {
        $type = "admin";
    }
    elseif (atGetModName() == "Your_Account") {
        $type = "user";
    }
    return $type;
}

function atGetModStyle()
{
    $style = "old";

    return $style;
}

function atGetModName()
{
    return $GLOBALS['module_name'];
}

function atGetLang()
{
    return $GLOBALS['currentlang'];
}

function atThemeLangLoad($thename="")
{
	$lang = atGetLang();
    
    if (@file_exists("themes/$thename/language/lang-$lang.php")) {
        @include("themes/$thename/language/lang-$lang.php");
    }
    else {
        @include("themes/$thename/language/lang-english.php");
    }
}

function atModLangLoad($type)
{
	$lang = atGetLang();
	$platform = atGetPlatform();

    if (@file_exists("modules/AutoTheme/includes/$platform/language/$type/lang-$lang.php")) {
        @include("modules/AutoTheme/includes/$platform/language/$type/lang-$lang.php");
    }
    else {
        @include("modules/AutoTheme/includes/$platform/language/$type/lang-english.php");
    }
}

function atVarStorePrep($var)
{
    if (!get_magic_quotes_runtime()) {
        $var = addslashes($var);
    }
    return $var;
}

function atVarDisplayPrep($var)
{
    $var = htmlspecialchars($var);

    return $var;
}

function atBlockDisplay($location="", $title="")
{
    $dbi = $GLOBALS['dbi'];
    $prefix = $GLOBALS['prefix'];

    if ($GLOBALS['multilingual']) {
    	$querylang = "AND (blanguage='".atGetLang()."' OR blanguage='')";
    }
    else {
    	$querylang = "";
    }
    if (sql_query("SELECT position from ".$prefix."_blocks", $dbi)) {
        $posfield = "position";
    }
    else {
        $posfield = "bposition";
    }
    if ($location) {
        $result = sql_query("SELECT bid, bkey, title, content, url, blockfile, view, ".$posfield." FROM ".$prefix."_blocks WHERE ".$posfield."='$location' AND active='1' $querylang ORDER BY weight ASC", $dbi);
		$force = 0;
    }
    while (list($bid, $bkey, $title, $content, $url, $blockfile, $view, $position) = sql_fetch_row($result, $dbi)) {
        $block = compact("bid", "bkey", "title", "content", "position", "url", "blockfile", "view", "force");

		atRunningSetVar("block", $block);

        if ($bkey == "admin") {
            adminblock();
        }
        elseif ($bkey == "userbox") {
            userblock();
        }
        elseif ($bkey == "") {
            $displaythis = 0;

            if ($view == 0) {
                $displaythis = 1;
            }
            elseif ($view == 1 && atIsLoggedIn() || atIsAdminUser()) {
                $displaythis = 1;
            }
            elseif ($view == 2 && atIsAdminUser()) {
                $displaythis = 1;
            }
            elseif ($view == 3 && !atIsLoggedIn() || atIsAdminUser()) {
                $displaythis = 1;
            }
            if ($displaythis) {
                if ($url == "") {
                    if ($blockfile == "") {
                        themesidebox($title, $content);
                    }
                    else {
                        blockfileinc($title, $blockfile);
                    }
                }
                else {
                    headlines($bid);
                }
            }
        }
    }
}

?>
